import * as echarts from 'echarts'
export function setOptions(ele,option){
    let myEchart = echarts.init(ele);
    myEchart.setOption({
        ...option,
    })
    myEchart.resize({
        width:myEchart._dom.clientWidth,
        height:myEchart._dom.clientHeight
    })
    window.addEventListener('resize',()=>{
        myEchart.resize({
            width:myEchart._dom.clientWidth,
            height:myEchart._dom.clientHeight
        })
    })
    return myEchart
}